#1
  1. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2004
    Posts
    6
    Rep Power
    0

    Unhappy newb:tkinter rpm anyone????


    does anyone just have a tkinter rpm I could install on redhat 9.0 or anything. I am having so much trouble reading through all this stuff onthe web and have no idea which library or whatnot I am supposed to get. All I really want is to install python and be done with it, but python doesn't seem to come with tkinter(though I thought I read many times it did).

    I installed redhat 9 and python was already installed. I go through all these hello world examples and none work even though python is installed. You think they would write a hello world that worked without tkinter, or at least tell you how to install tkinter first.....I guess you can see how frustrated I am here....any help is much appreciated. I am sure once I am up and running, this stuff is great. it just seems impossible to get started.
    thanks for any bites,
    dean
  2. #2
  3. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2004
    Posts
    6
    Rep Power
    0
    ahhh, crap, now I need libtix8.1.8.3.so and libtk8.3.so. what are these????? going in circles, circles circles.
  4. #3
  5. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2004
    Posts
    6
    Rep Power
    0
    Originally Posted by deanhiller
    ahhh, crap, now I need libtix8.1.8.3.so and libtk8.3.so. what are these????? going in circles, circles circles.
    ok, never mind, learning alot about linux though. must use rpmfind.net and search for every library each rpm is missing. Now I have it working and my last problem is it only works under root for some weird reason.
  6. #4
  7. Mini me.
    Devshed Novice (500 - 999 posts)

    Join Date
    Nov 2003
    Location
    Cambridge, UK
    Posts
    783
    Rep Power
    13
    dean,
    TCL is another scripting language, TK is the graphical extention to TCL. TIX is a widget set for TK.
    Tkinter wraps TK and makes use of the TIX widget set.
    This is why all the other rpms are required to be in place first.

    TKinter is an optional install for Linux - it is standard with Windows.


    In my experiance all the required rpms were on the RH9 install cds (the 3 CD set). The RH9 shipped with some books is a single CD with an obviously reduced set of rpms.
    http://ftp.redhat.com/pub/redhat/linux/9/en/os/i386/RedHat/RPMS/
    should fill in the blanks.

    Make sure you are using rpms for Redhat 9.

    The Linux download page of Python.org is where you will find the latest stable version of Python (2.3).

    RH9 uses 2.2 as it's default python ( a logical link "python" points to the "python2.2" executable - it is not recommended that you change this. If you install python 2.3 then it will be available as "python2.3" from the command line.

    Personally I would use the rpms from the Python.org download page.

    I have both versions installed on my machine which I use to test a Tkinter application.

    Have fun.

IMN logo majestic logo threadwatch logo seochat tools logo